Intro Shot

setup.gif (21421 bytes)

Tangiers


Tangiers

Data Reduction Software for

Solution Nebulization on the

Fisons (VG) Plasmaquad 2+S ICP-MS

The purpose of this documentation is to provide background information on ICP-MS data acquisition and reduction using the Tangiers data reduction system. The Tangiers data reduction system is a proprietary stand-alone application written in Visual Basic 6.0 for Windows (9x, NT.) Tangiers is independent of the software used to collect data on the ICPMS (e.g. the FisonsÒ Plasmaview software for OS2), and imports procedure text files exported by the data collection software. Data is stored and manipulated as database files created in MicrosoftÒ Access 8, and final results are reported as MicrosoftÒ Excel 8 workbooks.

While currently configured for the reduction of data acquired on a FisonsÒ (VG) Plasmaquad 2+S ICPMS, the Tangiers data reduction system can be easily modified by the developer to access and manipulate data from other instrument platforms. The general nature of the algorithms used in the Tangiers system allows broad application to a variety of data collection protocols. Similarly, while originally developed for solution nebulization data, the internal and external drift correction algorithms, blank and interference corrections, and standard curve calibration methods are general to other introduction methods, including electrothermal vaporization, ultrasonic nebulization, and laser ablation techniques; future modifications to the Tangiers data reduction system by the developer to accommodate these other methods may be anticipated.

All inquiries about Tangiers software, including implementation, trials, purchases, and licensing should be directed to Tangiers@TheBowringCompany.com


Short Description of ICP-MS Technology

The ICP-MS (inductively-coupled plasma mass spectrometer) is an instrument designed for the production, separation, and measurement of ions in a sample based upon their mass to charge ratio (m/e). A variety of introduction methods (solution nebulization, electrothermal vaporization, laser ablation) serve to inject an aliquot of sample into a stream of Ar gas which is inductively heated to the plasma state by coupling to an RF field. Within this very high temperature (>5000 K) plasma the sample is volatilized, dissociated and ionized into its constituent ions. The plasma impinges upon an interface which bleeds a stream of ionized material into a quadrupole mass analyzer operating at moderate vacuum (10-7 torr). This stream of ions is focused by a set of ion lenses and extracted into the field of a quadrupole analyzer, whereby changing the potential on the four pole pieces, a beam composed of ions of specific m/e are directed into an electron multiplier and counted. This ion count rate can be transformed through a series of operations into the elemental concentrations in the sample.

Because dozens of isotopes can be measured rapidly by the quadrupole analyzer, and as many samples may be analyzed in a single procedure, each session of data-gathering generates a large amount of data which must be manipulated in order to extract the best quality results. This manipulation is repetitive and follows a general algorithm, and is therefore amenable to semi-automation utilizing a window-driven graphical user interface.


Preferred ICPMS Procedure Structure

Generalized ICPMS Acquisition & Procedure Structure:

ICPMS data is collected and reported as count rates (counts per second or "cps") at points in the mass spectrum, nominally integer masses. In order to convert these ion count rates into concentrations of elements we apply what is commonly known as standard curve calibration to the data. However, before developing a standard curve, all of the data must be assessed and corrected for a variety of instrument-, time-, and sample-specific phenomena which cause imprecision and inaccuracy in the calibration. These fall into two broad categories: 1) instrument sensitivity fluctuations or "drift"; and 2) interferences, which broadly include extraneous contributions to count rates from instrument detector baseline, additions from procedural "blank", and ions of different chemical nature having the same isotopic mass (isobaric interferences).

In order to determine these corrections and develop a standard curve to apply to a set of unknowns, samples of various types are analyzed together in a procedure, including unknowns, blanks, standards, and external drift monitors. Each of these sample types are defined below:

unknown:

Sample of unknown elemental composition which is to be determined

blank:

A solution with no dissolved sample in it, analyzed to estimate both the material introduced to samples during the preparation procedure, as well as the baseline count rate of the instrument

standard:

Sample of known elemental composition which can be used to generate a calibration curve, or can be treated as an unknown in order to estimate the accuracy and reproducibility of analyses

external drift monitor:

Sample of constant, known composition which when analyzed through the course of a procedure can be used to monitor changes in instrument sensitivity or "drift"

In addition, some or all of the samples may be spiked with a known concentration of one or more elements whose natural abundances are below the detection limit of this technique. These spiked masses can be used as internal drift monitors (internal standards or spikes).

Corrections for "Drift"

Fluctuations in the sensitivity of the instrument with time, hereafter termed "drift", are assessed and corrected using two methods, which can be used alone or in tandem depending upon the acquisition of the data:

a) internal drift correction, involving normalization to one or more internal drift monitor masses spiked to a known concentration in each sample

b) external drift correction, involving normalization to a "drift curve" generated from a number of external drift monitors analyzed throughout the course of a procedure

A number of graphs showing the data before and after these corrections allows the user to evaluate the optimal drift correction algorithm. These graphs include:

1) the cps of the internal drift monitor masses (normalized to the cps of the initial sample) v. analysis number

2) the cps of each mass of each external drift monitor sample (normalized to the cps in the initial external drift monitor sample) v. mass number before internal drift monitor correction

3) the cps of each mass of each external drift monitor sample (normalized to the cps in the initial external drift monitor sample) v. mass number after internal drift monitor correction

4) the cps of individual masses of each external drift monitor sample (normalized to the cps of the initial sample) after internal drift monitor correction with a cubic spline fit to the data v. analysis number (graph not currently available for view in Tangiers 5.0)

The first graph illustrates the morphology of the instrument drift for each internal drift monitor mass with time, and shows inter-element fractionation between different internal drift monitors. Note that this graph is independent of whether an external drift monitor was analyzed during the procedure, and in the absence of external drift monitors is the only means of assessing the time- and mass-dependence of drift. The second graph relies upon the presence of analyzed external drift monitors, but is independent of the presence of internal drift monitors. However if internal standards are present, this graph can be used to determine which internal drift monitor should be applied to other sets of masses to correct for high frequency instrument sensitivity drift (i.e. what internal drift monitor behaves like what other masses in terms of drift). The correction factor of the internal drift monitor, which is the percent change in normalized cps over time, is then applied to the other appropriate masses. Alternatively a piece-wise linear interpolation between internal drift monitor masses can be used to obtain a unique correction factor which can be applied to each mass. The third graph shows the results of this correction. All of the information garnered from these three graphs is used to perform the best internal drift correction to the raw data.

After the internal drift correction, a second drift correction procedure known as external drift correction can be applied to the data. External drift correction is implemented by analyzing the same sample periodically during the course of the procedure, and is independent of the presence of internal drift monitors. The cps of the external drift monitor sample are normalized to the first drift monitor analyzed (which is also the first sample analyzed), and a cubic spline interpolation is fit to the normalized cps for each isotope analyzed as a function of time. This spline function can then be used to derive a unique correction factor for each isotope in each sample of the procedure analyzed between external drift monitors.

The combination of these two drift correction schemes provides a powerful method for eliminating instrument sensitivity changes over the length of an analysis procedure. Together they provide the flexibility necessary to correct drift over a broad mass range, and over a wide bandwidth of frequencies of sensitivity change. The Tangiers data reduction system has been designed to provide the most flexibility in terms of customizing the drift corrections used during data reduction, ultimately allowing a unique drift correction factor to be applied to each isotope of every sample analyzed in the procedure.

Correction for Interferences

In this discussion, the term interferences broadly includes extraneous contributions to count rates from instrument detector baseline, procedural "blank", and isobaric interferences (ions of different chemical nature but the same isotopic mass). The first two types of interferences can be adequately estimated by the analysis of a blank during the analysis procedure; count rates measured on the blank are then subtracted from the count rates of all other samples to eliminate this bias. Likewise the analysis of a blank can estimate extraneous counts due to isobaric interferences derived in the instrument or carrier gas (e.g. Ar molecular species, gaseous contaminants like Xe, Hg).

While the user tries to avoid isobaric interferences when creating an element table in the FisonsÒ Plasmaquad software, for a few elements (e.g. Ga, Eu) it is impossible to analyze a mass free from interfering molecular (e.g. monoxide) species and/or doubly-charged ions. For this reason, algorithms for monoxide and doubly-charged ion production corrections are incorporated into the data reduction. These algorithms are simple in character, and are based on the measurement of monoxide and doubly-charged ion production as a percentage of count rate of the singly-charged ion of the same element, prior to the analysis procedure. These percentages are input into the library of the Tangiers data reduction system and the appropriate correction factors calculated and subtracted from the ion count rates, assuming that the interfering species production rates during every analysis are constant.

Standard Curve Calibration

Standard curve calibration is the most common method used for determining the concentration of elements in unknown samples from those in known standards. Simply described, in every analysis procedure, a calibration line for each analyzed isotope relating measured count rate to concentration is created using data from standards of known composition collected during the analysis run. Using a linear model to determine the calibration line is justified by considerable numbers of experiments demonstrating the linear response of ICPMS over several orders of magnitude of count rates. The resulting calibration line is applied to the unknown samples to calculate their concentrations. The resulting concentration of a certain mass in the introduced solution is transformed to the concentration of the appropriate element in the original sample by multiplication by a constant determined by the natural isotopic abundance of the element in question and the dilution factor of sample to solution.

The most comprehensive standard curve calibration utilizes data from multiple standards analyzed in the procedure, which are then subject to linear regression (commonly forced through the origin) to derive the calibration line. This technique allows some degree of cross-check on the standards used in the procedure, and standards showing anomalous behavior can be eliminated from the calibration. Alternatively, a single standard can be analyzed, and the calibration line derived by a linear extrapolation to the origin. The Tangiers data reduction system allows for either of these techniques, and also provides visualization of calibration lines for each analyzed isotope, as described in "Using Tangiers".


Framework of the Data Reduction Procedure

The Tangiers Data Reduction System

The Tangiers Application:

The Tangiers application is a window driven graphical user interface which controls the manipulation of database files containing the ICPMS raw and reduced data. It is divided into a sequence of steps which lead the user through the reduction procedure. The application also references a database file called the Tangiers Library, which contains all of the important information used during the reduction of every data file, including element, isotope, and standard tables among others; this library database is described in more detail below.

The Tangiers Library:

Access the library from the button bar along the top of the window in the Tangiers program. The library contains information on elements, isotopes, spikes, standard samples and solutions, drift monitors and oxide production factors. This information is called upon during the process of reducing your data, and is easily accessed and edited. The various books of the library include:

ELEMENT LIBRARY:

Contains the general information about each isotope analysed including name, symbol and atomic number.

ISOTOPE LIBRARY:

Contains the isotopic abundances for the isotopes of each element in the element library.

SPIKE LIBRARY:

Contains the names and isotopic concentrations of all the spikes used as internal drift monitors.

STANDARD SAMPLE LIBRARY:

Contains the names and concentrations of all isotopes for each standard sample.

STANDARD SOLUTION LIBRARY:

Contains information each solution made by dissolving one of the standard samples including name, sample weight, solution weight, spike, and spike weight.

DRIFT MONITOR LIBRARY:

Contains the name, sample weight, solution weight, spike, and spike weight for all sultions used as drift monitors.

OXIDE PRODUCTION FACTORS

Contains oxide production factors (percentages) for each isotope.

Tangiers Database Files:

The Tangiers data reduction system uses Microsoft® Access database files (.mdb) to store and manage ICPMS data. Database files are initially created by importing from comma-delimited text files output by the Fisons® Plasmaview software. Importing need only be accomplished once, and the resulting database file may then be opened from within Tangiers any number of times. The next section describes in detail the use of these three components of the Tangiers data reduction system to reduce ICPMS data.


Opening Screen

Opening.gif (11890 bytes)


Open Library

Initialize Tangiers Library

Opening.gif (11890 bytes)

On the first run, this button will allow you to select the TangiersLibrary.mdb which shipped with the program. The default location is C:\Program Files\Sunchex Systems\Tangiers Data Reduction\Library Tangiers 5/. On subsequent runs, this button will allow you access to the library.


Starting Tangiers

Importing/Opening Data Files

Import Raw.gif (11904 bytes)

The IntMed files (that contain your raw data) exported from the ICP-MS computer should be copied into an appropriate file directory, for example the "Raw Text Files" folder in the Tangiers directory.

Launch the Tangiers application, and determine if you need to import raw data into a new database file, or open an existing database file. In the former case, raw data files exported from the ICP-MS software may be imported into Tangiers by pressing the IMPORT RAW button. This button will ask you to find the raw text file. Once a raw text file is selected, you will be asked where the reduced data should be saved, and what name to save it under. Save the reduced data in an appropriate file directory, for example the "New Database Files" folder in the Tangiers directory. All reduced data files will be ‘.mdb’ files. Once the raw data is imported, the program will automatically start with "Step 1" of the data reduction process.

Open Data File.gif (11978 bytes)

Alternatively, a database file of previously imported data can be opened by clicking the OPEN DATA FILE button, and choosing the data file you want to examine. If the data in the file has already been through the reduction process, clicking the REPORTS button will show the datails of the last reduction and allow the results to be exported to an EXCEL spreadsheet. If you want to change part of the reduction details, proceed with Steps 1-6. However, this will overwrite the previous reduction. If you want to save the results of both reductions, save the database file under a new name before proceeding. Remember that the results of all reductions can also be exported as EXCEL files.


Step 1

STEP 1: Review Procedure Information

Review the information about the run given in the window. Choose the spike that was used during the experiment. If the spike you used does not show up in the pull down menu, make sure that you entered it in the Spike Library. When all of the information has been reviewed, click the button in the upper right hand corner to go on to step 2.

Step1Shot.jpg (65442 bytes)


Step 2

STEP 2: Complete and Edit Sample Data

All of the samples (including standards, blank, drift monitors) will be listed in order in a box at the upper left. Highlight each sample in turn and enter the sample type (standard, unknown, blank, drift monitor) from the "choose sample type" pull down menu, as well as the sample weight, spike weight, and spike name. The sample weights for the standards and the drift monitors will show up automatically since they are stored in the library for each solution. If you made new standard solutions or drift monitors, you need to enter the information for the new solutions into the standards library.

The "Select Runs for Reduction" button at the right side of the screen allows the user to choose or eliminate certain runs for all samples at one time. This option is particularly valuable, for example, when the analysis procedure was flawed by insufficient washout times, resulting in contaminated first runs. These first runs can be conveniently removed from further consideration using this feature.

If it is for some reason necessary to only eliminate selected runs from individual samples, this can be done using the cps window at the bottom of the screen. The cps for the sample highlighted in the upper left box will appear in the window at the bottome of the screen. If you want to ignore the data for a single run from a single sample, click on the top of the column for that repeat. This will negate all the values in that column for that sample, and they will be ignored in the rest of the data reduction procedure. You can undo this by clicking the top of the column again.

Step2Shot.jpg (127424 bytes)


Step 3

STEP 3: Select IDM Normalization Factors

Instrument drift is assessed and corrected in this step. First, click the "Normalized Raw cps for EDMs" button to view the variation in cps between external drift monitors (normalized to the cps in the first drift monitor). There will be vertical lines through each of the internal drift monitor (IDM) masses. Look at the cps of the IDM masses compared to the masses you measured because you will assign one of the IDM isotopes to each mass to correct for the drift. There are three options here: 1) you can assign one specific IDM to each mass; 2) you can interpolate between the IDM isotopes and assign a value from this interpolation to each of the masses; or 3) you can assign no IDM (this must actively be done by assigning "none").

To assign a specific IDM to each mass, highlight the sample names in the box on the left hand side of the screen, highlight an IDM from the box at the bottom of the screen, and then highlight the masses to which you want to assign that IDM. Now click the "apply IDM to selected masses" button. Do this repeatedly until all the masses have been assigned an IDM (or "none").

To interpolate between the IDM isotopes, click the "auto interpolate IDM values" button. This automatically selects all samples and assigns the interpolated IDM value to all masses. This is done for convienence, but the IDM assignment can still be edited. Specific samples and masses can still be selected to change the assignment.

To view your post-IDM corrections, click the "Normalized post IDM cps of EDMs" button at the top of the screen. This will show the corrected drift monitor cps.

Step3Shot.jpg (115660 bytes)


Step 4

STEP 4: Interference Corrections

In this step, the blank (background counts) is subtracted from the raw sample counts, and corrections are made for the production of oxides. To subtract the blank, select the samples by highlighting them, select the blank that you want to assign to the samples and then click the "assign blank to selected samples" button. The name of the blank should show up next to each sample name to which it was assigned. In the lower window, monoxide species appear for which there are oxide production factors stored in the library. Check the box next to the species to apply the correction to the data.

In this step you also have the opportunity to manually alter the counts of any mass of any sample.

Step4Shot.jpg (101272 bytes)


Step 5

STEP 5: Standard Calibration

In this step you can view and make alterations to the calibration curves for each isotope. To view a calibration curve, click on the line of the isotope just to the left of isotope name. Now you will see a plot of cps vs. concentration for the standards you analyzed, with a linear least-squares regression through the standard data points. The line will be forced through the origin if the appropriate box at the bottom of Step 4 is checked. If you click the right mouse button, a box will pop up listing the standards and giving the equation of the line and r2. Any of the standards can be removed from the calibration curve by highlighting them and then clicking the left mouse button. Go through all of the isotopes, making improvements to the calibration curves where necessary.

The changes made to the calibration curves can be saved by clicking the "save calibration" button at the bottom of the window. The changes are not saved with the data file unless this button is pressed. All of the changes made can be undone by hitting the "reset calibration" button. This re-selects all standards for all isotopes. The settings of the last saved calibration can be restored by hitting the "restore calibration" button.

Step5Shot.jpg (117326 bytes)


Step 6

STEP 6: Concentrations of elements

The final concentrations for all samples are given here. The data can be exported to an EXCEL file by clicking the "reports" button in the upper right hand corner. This will bring you to the "Reporting Center"

Step6Shot.jpg (118638 bytes)


Reports

REPORTING CENTER: Exporting reduced data

The reporting center provides a window containing the details of the reduction process. To export results into an EXCEL workbook, click the button at the bottom of the window. A box will appear to ask you where to save the file, and what to name it. Another box will appear to ask you where to find the raw data. A new EXCEL file will be generated with the results of your data reduction.

StepReportsShot.jpg (120581 bytes)


Help

Help is available at:

Tangiers@TheBowringCompany.com


INSTRUCTIONS FOR USING THE TANGIERS SOFTWARE

THE LIBRARY:

Access the library from the button bar along the top of the window in the Tangiers program. The library contains information on elements, isotopes, spikes, standard samples and solutions, drift monitors and oxide production factors. This information is called upon during the process of reducing your data.

ELEMENTS

The element library contains the general information about each isotope analysed including name, symbol and atomic number. This information must be entered into the element library for each isotope.

ISOTOPES

The isotope library contains the isotopic abundances for the isotopes of each element in the element library.

SPIKES

In this library, the names of all the spikes used as internal drift monitors are stored, along with the isotopic concentrations in the spikes.

STANDARD SAMPLES

All samples used as standards are stored in this library. The name and concentrations of all isotopes for each standard need to be entered into the library.

STANDARD SOLUTIONS

Each time one of the standard samples is dissolved and a standard solution is made, it needs to be entered in this library. The new solution name is entered, as well as the sample weight, solution weight, spike type and spike weight.

DRIFT MONITORS

All standard solutions used as drift monitors are stored in this library so that sample information does not need to be entered for them as it does for unknowns. The same solution information that is stored in the standard solutions library is stored here for the drift monitors.

OXIDE PRODUCTIONS

Oxide production factors for each isotope are stored here.

DATA REDUCTION:

The raw data saved from the ICP-MS software needs too be imported into Tangiers by pressing the IMPORT RAW button. This button will ask you to find the raw text file. Once a raw text file is selected, you will be asked where the reduced data should be saved, and what name to save it under. All reduced data files will be ‘.mbd’ files. Once the raw data is imported, the program will automatically start you with “step 1” of the data reduction process.

1) The InterMed files that you copy off of the ICP-MS computer should be copied into the "Raw Text Files" folder in the Tangiers folder.

2) Open the software by using the "Shortcut to Tangiers" folder. Once inside the program, you need to import your data by clicking the "Import Raw" button at the top of the window. Your data will be in the "Raw Text Files" folder. Save the reduced data in the "New Database Files" folder.

3) The program is organized into a series of steps which will be outlined below:

STEP 1: Review Procedure Information

Review the information about the run given in the window. Choose the spike that was used during the experiment. If the spike you used does not show up in the pull down menu, make sure that you entered it in the Spike Library. When all of the information has been reviewed, click the button in the upper right hand corner to go on to step 2.

STEP 2: Complete and Edit Sample Data

All of the samples (including standards, blank, drift monitors) will be listed in order in a box in the upper left hand corner. Highlight each sample in turn and enter the sample type (standard, unknown, blank, drift monitor from the “choose sample type” pull down menu) as well as the sample weight, spike weight, and spike name. The sample weights for the standards and for the drift monitors will show up automatically because they are stored in the library for each solution. If you made new standard solutions or drift monitors, you need to enter the information for the new solutions into the standards library.

The cps information for the highlighted sample will be shown in the window at the bottom of the screen. If for some reason you want to ignore a repeat for a specific sample, this is where to do it. For example, if the first repeat of your blank looks contaminated (perhaps you didn't wash long enough), highlight the blank in the box in the upper left and then click on the top of the column of repeat one. This will negate all the values in that column for that sample, and they will be ignored in the rest of the data reduction. You can undo this by clicking the top of the column again.

When all of the necessary information has been entered, click the button in the upper right hand corner to go on to step three.

STEP 3: Select Runs and Initialize Reduction

Choose which repeats (runs) you want to reduce by highlighting them and then hitting the "extract and normalize" button.

STEP 4: Select IDM Normalization Factors

Machine drift is corrected for in this step. First, click the "Normalized Raw cps for EDMs" to view the variation in cps for the drift monitors. There will be vertical lines through each of the internal drift monitor (IDM) isotopes. Look at the cps of the IDM compared to the masses you measured because you will assign one of the IDM isotopes to each mass. There are three options here: 1) you can assign one specific IDM to each mass; 2) you can interpolate between the IDM isotopes and assign a value from this interpolation to each of the masses; or 3) you can assign no IDM (this must actively be done be assigning “none”).

To assign a specific IDM to each mass, highlight the sample names in the box on the left hand side of the screen, highlight an IDM from the box at the bottom of the screen, and then highlight the masses to which you want to assign that IDM. Now click the "apply IDM to selected masses" button. Do this repeatedly until all the masses have been assigned an IDM (or “none”).

To interpolate between the IDM isotopes, select all the samples by highlighting them, click the "select all masses button", and then click the "auto interpolate IDM values" button.

To view your post-IDM corrections, click the "Normalized post IDM cps of e EDMs" button at the top of the screen. This will show the corrected drift monitor cps.

When pleased with your corrected data, click the button to go on to step 5.

STEP 5: Interference Corrections

In this step, the blank (background counts) is subtracted from the raw sample counts, and corrections are made for the production of oxides. To subtract the blank, select the samples by highlighting them, select the blank that you want to assign to the samples and then click the "assign blank to selected samples" button. The name of the blank should show up next to each sample name to which it was assigned. In the lower window, isotopes which were analysed in the experiment for which oxide production factors are stored in the library appear. Check the box next to the isotope to apply the correction to the data.

To manually correct cps data…..

STEP 6: Standard Calibration

In this step you can view and make alterations to the calibration curves for each isotope. To view a calibration curve, click on the line of the isotope just to the left of isotope name. Now you will see a plot of cps vs. concentration for the standards you analyzed. Hopefully they will fall on a line passing through the origin. If you click the right mouse button, a box will pop up listing the standards and giving the equation of the line and r^2. If any of the standards are not on the line, you can remove them from the calibration curve by highlighting them and then clicking the left mouse button. You have to remove them one at a time. This should improve the fit of you calibration curve. Go through all of the isotopes, making improvements to the calibration curves where necessary.

The changes made to the calibration curves can be saved by clicking the “save calibration” button at the bottom of the window. The changes are not saved with the data file unless this button is pressed (is that right??). All of the changes made can be undone by hitting the “reset calibration” button. This re-selects all standards for all isotopes. The last changes made to the calibration that were saved can be re-accessed by hitting the “restore calibration” button.

STEP 7: Concentrations of elements

The final concentration for all samples are given here. The data can be exported to an EXCEL file by clicking the “reports” button in the upper right hand corner. This will bring you to the “Reporting Center”

REPORTING CENTER

To display the results in an EXCEL workbook, click the button at the bottom of the window. A box will appear to ask you where to save the file, and what to name it. Another box will appear to ask you where to find the raw data. A new EXCEL file will be generated with the results of your data reduction.


Steps in the Reduction Procedure

Importing “Raw” Text Files:

Integrated counts per second (cps) data from procedures may be exported from the FISONS PlasmaQuad operations software (OS2 platform) as comma-delimited text files, termed INTMED (intermediate) files (under the “TOOLS” menu). These .TXT files are the currently accepted input into the TANGIERS software. Note that TANGIERS is easily customized by the developer to accept file types of any specific format which contain the basic integrated counts per second data. TANGIERS parses this data into Microsoft® Access database (.MDB) files, and all subsequent operations are performed in this database environment.

Opening Existing Database Files:

Database files which have been previously generated from text files with TANGIERS can be re-opened for further data manipulation.

Sample Details Management:

Various pieces of information including the sample names, sample weights, solution weights, sample spikes, and spike weights can be edited prior to further data reduction.

Sample Run Reduction Choice:

Drift Correction:

After the raw data has been imported and the runs to be reduced selected, we need to correct for instrument drift. This correction includes two forms which can be used alone or in tandem depending upon the acquisition of the data:

a) normalization to one or more internal drift monitors

b) normalization to a "drift curve" generated from a number of external drift monitors analyzed throughout the course of a procedure

The user has a number of graphs of the data before and after these corrections with which to evaluate the optimal drift correction algorithm including:

  1. the cps of each mass of each external drift monitor sample (normalized to the cps in the initial external drift monitor sample) v. mass number

  2. the cps of each mass of each external drift monitor sample (normalized to the cps in the initial external drift monitor sample) after internal drift monitor correction v. mass number

  3. the cps of the internal drift monitor masses (normalized to the cps of the initial sample) v. analysis number

  4. the cps individual masses of each external drift monitor sample (normalized to the cps of the initial sample) after internal drift monitor correction with a cubic spline fit to the data v. analysis number

Graph #1 is used to determine which internal drift monitor should be applied to other sets of masses to correct for high frequency instrument sensitivity drift (i.e. what internal drift monitor behaves like what block of other masses in terms of drift). The normalization factor of the internal drift monitor is then applied to the other appropriate masses. Graph #3 illustrates the morphology of the instrument drift with time, and shows inter-element fractionation between different internal drift monitors.

This information, combined with that obtained in the "Drift Monitors" dialog box, is used to perform the drift correction to the raw data. Obviously some intensive error handling is required for this procedure, i.e. when no internal or external drift monitors are selected, or there are not enough external monitors for a curve fit, or not all samples or masses are assigned a internal drift monitor, etc.

Interference Corrections:

While the user tries to avoid isobaric interferences when creating an element table in the FISONS Plasmaquad software, for some elements it is impossible to analyze a mass free from interfering species. These interfering species can be sourced from the carrier gas (e.g. Ar molecular species, gaseous contaminants like Xe, Hg), may be oxide species, or other elements. The analysis of a blank accommodates the correction for machine-sourced interferences, while algorithms for oxide production corrections can be incorporated into the data reduction.

Standard Calibration:

The names of selected samples are matched against those of standard solutions the library, and their respective concentrations are pulled and plotted against the cps data from the procedure. A linear calibration line (forced or not forced through the origin) is fit to this concentration v. cps data and the slope, intercept and correlation coefficient for the data are displayed.

Concentration Calculation:

To calculate the concentration of an element in the sample, first the concentration of the isotope in the solution is calculated by comparison to the calibration line (fit parameters of the calibration line). The isotope/solution concentration is transformed to the element/sample concentration by:

Exporting:

The reduced concentration data and element ratios are output into an Excel spreadsheet.